package org.apache.commons.lang3.reflect;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import java.lang.reflect.Constructor;
import java.lang.reflect.Method;
import org.apache.commons.lang3.reflect.MemberUtils;

final class Executable {
  private final Class<?>[] parameterTypes;
  
  private final boolean isVarArgs;
  
  private static Executable of(Method method) {
    return new Executable(method);
  }
  
  private static Executable of(Constructor<?> constructor) {
    return new Executable(constructor);
  }
  
  private Executable(Method method) {
    this.parameterTypes = method.getParameterTypes();
    this.isVarArgs = method.isVarArgs();
  }
  
  private Executable(Constructor<?> constructor) {
    this.parameterTypes = constructor.getParameterTypes();
    this.isVarArgs = constructor.isVarArgs();
  }
  
  public Class<?>[] getParameterTypes() {
    return this.parameterTypes;
  }
  
  public boolean isVarArgs() {
    return this.isVarArgs;
  }
}
